Bug 115189 - used before set
Summary: used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-08 10:46 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 11:31:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-08 10:46:01 UTC
Description of problem:

I just tried to compile package nautilus-cd-burner-0.5.3-1 from Fedora.

The compiler said

1.

make-iso.c(563): remark #592: variable "error" is used before its
value is set

The source code is

                g_warning ("mkisofs command failed: %s\n",
error->message);


But the only previous mention of error is

        GError *error;

Suggest init error before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2004-02-13 08:21:37 UTC
fixed upstream


Note You need to log in before you can comment on or make changes to this bug.